
Foreman - Bug #1481

Ubuntu 10.10 install

02/03/2012 05:48 PM - Anthony Caiafa

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I continue to get this error when trying to install foreman.. I have tried to do a full purge and this still continues to happen

Reading package lists... Done

Building dependency tree

Reading state information... Done

rubygems is already the newest version.

0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

1 not fully installed or removed.

After this operation, 0B of additional disk space will be used.

Do you want to continue [Y/n]? y

Setting up foreman (0.4.1-1) ...

dbconfig-common: writing config to /etc/dbconfig-common/foreman.conf

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 1

Errors were encountered while processing:

foreman

E: Sub-process /usr/bin/dpkg returned an error code (1)

History

#1 - 02/05/2012 02:13 AM - Anthony Caiafa

i upgraded to natty. However I think the issue was trying to run foreman with puppet 2.7.10. It works with 2.6.4.

#2 - 02/09/2012 06:32 AM - Ohad Levy

- Assignee set to Jochen Schalanda

@Jochen Schalanda, does it make sense to you?

#3 - 02/13/2012 01:53 PM - Ohad Levy

- Priority changed from Urgent to Normal

#4 - 04/19/2012 08:21 AM - Ben Hagen

got the same problem on ubuntu 12.04 LTS

subprocess installed post-installation script returned error exit status 1

running the postinst script with -x reveals the failing command:

su - foreman -s /bin/sh -c /usr/share/foreman/extras/dbmigrate

running this command gives the following output:
NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.

Gem.source_index called from /usr/share/foreman/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:21

.

NOTE: Gem::SourceIndex#refresh! is deprecated with no replacement. It will be removed on or after 2011-11-01.

Gem::SourceIndex#refresh! called from /usr/share/foreman/config/../vendor/rails/railties/lib/rails/vendor_gem_

source_index.rb:34.

NOTE: Gem::SourceIndex#load_gems_in is deprecated with no replacement. It will be removed on or after 2011-11-

01.

Gem::SourceIndex#load_gems_in called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:322.

NOTE: Gem::SourceIndex#initialize is deprecated with no replacement. It will be removed on or after 2011-11-01

.

Gem::SourceIndex#initialize called from /usr/share/foreman/config/../vendor/rails/railties/lib/rails/vendor_ge

m_source_index.rb:100.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

WARNING: 'require 'rake/rdoctask'' is deprecated.  Please use 'require 'rdoc/task' (in RDoc 2.4.2+)' instead.

    at /usr/lib/ruby/vendor_ruby/rake/rdoctask.rb

rake aborted!

Could not find rack (~> 1.1.0) amongst []

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

installed ruby-rack packet has version 1.3.5-1   

gem install rack --version 1.1.0 && su - foreman -s /bin/sh -c /usr/share/foreman/extras/dbmigrate

Fetching: rack-1.1.0.gem (100%)

Successfully installed rack-1.1.0

1 gem installed

Installing ri documentation for rack-1.1.0...

Installing RDoc documentation for rack-1.1.0...

NOTE: Gem.source_index is deprecated, use Specification. It will be removed on or after 2011-11-01.

Gem.source_index called from /usr/share/foreman/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:21

.

NOTE: Gem::SourceIndex#refresh! is deprecated with no replacement. It will be removed on or after 2011-11-01.

Gem::SourceIndex#refresh! called from /usr/share/foreman/config/../vendor/rails/railties/lib/rails/vendor_gem_
source_index.rb:34.

NOTE: Gem::SourceIndex#load_gems_in is deprecated with no replacement. It will be removed on or after 2011-11-

01.

Gem::SourceIndex#load_gems_in called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:322.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:127.

NOTE: Gem::SourceIndex#initialize is deprecated with no replacement. It will be removed on or after 2011-11-01

.

Gem::SourceIndex#initialize called from /usr/share/foreman/config/../vendor/rails/railties/lib/rails/vendor_ge

m_source_index.rb:100.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

NOTE: Gem::SourceIndex#add_spec is deprecated, use Specification.add_spec. It will be removed on or after 2011

-11-01.

Gem::SourceIndex#add_spec called from /usr/lib/ruby/vendor_ruby/1.8/rubygems/source_index.rb:91.

WARNING: 'require 'rake/rdoctask'' is deprecated.  Please use 'require 'rdoc/task' (in RDoc 2.4.2+)' instead.

    at /usr/lib/ruby/vendor_ruby/rake/rdoctask.rb

rake aborted!

undefined method `name' for "rack":String

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

#5 - 05/03/2012 08:29 PM - Jim Bailey

I am seeing identical behavior and output also running Ubuntu 12.04 LTS. I will spin up a 10.04 VM tomorrow and see if it is a 12.04 specific.

#6 - 05/04/2012 01:20 AM - Ohad Levy

- Assignee changed from Jochen Schalanda to Greg Sutcliffe

#7 - 05/04/2012 05:43 AM - Greg Sutcliffe

@JimBailey / @BenHagen - was that output from the stable package?

The dbconfig stuff is known to be flaky, particularly on an upgrade from an older package. I've taken it out of the nightly package, but I'm wary of

altering the stable package - I don't really understand dbconfig (yet), and substaintial alterations to the package might take me a while.

If you're getting that output from the nightly, I should be able to investigate that much more quickly, since package breakage is expected in a nightly :)
#8 - 05/04/2012 06:02 AM - Jim Bailey

I got the issue on both stable and testing repos it was a fresh install of foreman not an upgrade. Since this is a pre-live test/dev system I am working

with I can happily try with nightly this evening and post my results.

Initially I was using Ohad's installer, "the all in one" options.  When that barfed I purged foreman and tried a manual install of packages still got the

errors above.

I hope this helps.

#9 - 05/04/2012 06:46 AM - Greg Sutcliffe

@JimBailey - Thanks for that.

The foreman-installer, by default, just sets up the stable apt repo and installs the foreman package, so I'm not surprised it also barfed. If you check my

version of the module (https://github.com/GregSutcliffe/puppet-foreman and foreman_proxy) I've made a parameter to allow the use of the nightly

repo, so you should be able to edit that and re-run.

I know there were some small ubuntu/debian differences in the packaging (git != git-core, etc) but hopefully it'll work.

#10 - 05/04/2012 02:36 PM - Ben Hagen

Greg Sutcliffe wrote:

@JimBailey / @BenHagen - was that output from the stable package?

 Yes. The nightly packages work fine for me on Ubuntu 12.04.

#11 - 05/06/2012 07:14 AM - Jim Bailey

I confirm also, the nightly package installed without issue for me.

#12 - 05/06/2012 07:44 AM - Greg Sutcliffe

Thanks guys. I'm wary of updating the stable packages, in case I break what people have been using for a while, but I think removing the dbconfig

stuff should be easy enough.

I'll try to reproduce/test here, but would you guys be up for testing some new debs if I can't reproduce it here?

#13 - 05/17/2012 03:19 PM - Steve Buzonas

This is also the case for stable on Debian Squeeze.  Going to try installing nightly.

#14 - 11/13/2012 12:06 PM - Greg Sutcliffe

- Target version set to Bug scrub

#15 - 11/15/2012 09:40 AM - Greg Sutcliffe

- Status changed from New to Closed

The full application of the foreman-installer (foreman, foreman-sqlite3, foreman-proxy, & passenger) all works with puppet 2.7.19 from

apt.puppetlabs.com on 10.10 (64bit). So closing this one - do re-open if you hit this with Foreman 1.x
